Page MenuHomePhabricator

php-composer-security-docker failing due to git fetch of non-existent REL1_35 ref
Closed, ResolvedPublic

Description

The php-composer-security-docker is currently failing.

Sample error console output: https://integration.wikimedia.org/ci/blue/organizations/jenkins/php-composer-security-docker/detail/php-composer-security-docker/8692/pipeline

Relevant error message:

+ git fetch --quiet --update-head-ok --depth 2 https://gerrit.wikimedia.org/r/p/mediawiki/vendor +REL1_35:REL1_35
fatal: Couldn't find remote ref REL1_35
Build step 'Execute shell' marked build as failure

Not quite sure what's going on, just after a quick glance at php.yaml.

Event Timeline

sbassett created this task.Jul 3 2020, 9:18 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 3 2020, 9:18 PM
DannyS712 renamed this task from php-composer-security-docker failing due to git getch of non-existent REL1_35 ref to php-composer-security-docker failing due to git fetch of non-existent REL1_35 ref.Jul 4 2020, 5:22 AM
sbassett changed the task status from Open to Stalled.Jul 6 2020, 3:28 PM
sbassett claimed this task.
sbassett triaged this task as Low priority.
sbassett added a project: user-sbassett.

@Reedy is telling me 1_35 should get cut next week, so I'll plan to follow up and resolve this. Stalling until then.

sbassett moved this task from Incoming to Waiting on the Security-Team board.Jul 6 2020, 3:30 PM
sbassett moved this task from Backlog to Waiting on the user-sbassett board.

Oops, yes, sorry, added it at the end of last week in prep for the cut early next week.

sbassett closed this task as Resolved.Mon, Jul 20, 9:26 PM

Should be fixed now.